# $Revision: 1.17 $, $Date: 2005/09/17 11:51:46 $
Summary:	Commandline Gnutella servent
Summary(pl):	Tekstowy klient sieci Gnutella
Name:		mutella
Version:	0.4.5
Release:	2
License:	GPL v2
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	1a676eacf562e3b8de90493f99fe059c
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-gcc33.patch
URL:		http://mutella.sourceforge.net/
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mutella is a terminal-mode Gnutella client with an intuitive and easy
to use interface. Mutella supports all the functionality required to
participate as a full-featured node in the Gnutella network, that is
supports file search, download and sharing.

Mutella is optimized for a high-bandwidth connection, it sets
standards for the server performance and stability. However, Mutella
is also happy to run on a modest-speed line.

%description -l pl
Mutella jest tekstowym klientem Gnutelli z intuicyjnym i atwym w
uyciu interfejsem. Mutella spenia wszystkie wymagania by by
penoprawnym wzem Gnutelli - obsuguje wyszukiwanie, udostpnianie
oraz ciganie plikw.

Mutella jest zoptymalizowana dla szerokopasmowych pocze, ustanawia
standard w szybkoci i stabilnoci dziaania, jednake zadowala si
take sabymi czami.

%package frontend-www
Summary:	Mutella's standard WWW frontend
Summary(pl):	Standardowy interfejs WWW Mutelli
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description frontend-www
This package contains the WWW frontend for Mutella.

%description frontend-www -l pl
Ten pakiet zawiera interfejs WWW dla Mutelli.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/mutella.1*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%files frontend-www
%defattr(644,root,root,755)
%{_datadir}/mutella

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mutella.spec,v $
Revision 1.17  2005/09/17 11:51:46  arekm
- new readline 5.0

Revision 1.16  2004/11/03 22:22:16  ankry
- spaces -> tabs, other cosmetics

Revision 1.15  2004/11/02 21:12:44  qboosh
- sorted BRs, strict internal dep

Revision 1.14  2004/11/01 21:33:01  roman
- added Buildreq: libstdc++-devel

Revision 1.13  2004/09/29 08:07:18  deejay1
- updated to 0.4.5

Revision 1.12  2004/08/18 22:57:20  undefine
- copy config.sub to allow build on amd64, release 3

Revision 1.11  2003/08/02 21:50:26  radzio
- add patch0 (gcc33)

Revision 1.10  2003/05/28 12:59:49  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:50:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/05/03 08:46:53  deejay1
- changelog cosmetics

Revision 1.7  2003/05/02 18:32:13  deejay1
- s/%%{_datadir}\/applications/%%{_desktopdir}/

Revision 1.6  2003/04/16 22:00:11  djrzulf
- from DeeJay1@IRCNet: added BR: zlib-devel

Revision 1.5  2003/04/14 15:13:16  wrobell
- added desktop and ikon files /changes by Lukasz Jernas/

Revision 1.4  2003/02/27 19:09:17  wrobell
- changes by Lukasz Jernas /fixed descriptions and summaries, pl
  translations/

Revision 1.3  2003/02/25 09:06:40  wrobell
- fixed www frontend file section

Revision 1.2  2003/02/24 21:59:52  wrobell
- improved summary and reformatted description
- fixed uri's

Revision 1.1  2003/02/24 21:49:55  wrobell
- initial release by Lukasz [DeeJay1] Jernas
